package com.swago.baseswago.model.im;

import static com.swago.baseswago.im.RoomMsgType.USER_ENTER_ROOM;

import androidx.annotation.NonNull;

import com.swago.baseswago.R;
import com.swago.baseswago.im.IRoomChat;
import com.swago.baseswago.util.AppContext;

/**
 * @date 2021/11/1 09:56
 * description:
 */
public class UserJoinRoomBean implements IRoomChat {

    public String roomId;
    public String senderId;
    public String senderCode;
    public String senderName;
    public String hotValue;
    public String userAvatar;
    public int senderLevel;
    public int isBenefit;

    @NonNull
    @Override
    public String getSenderName() {
        return senderName;
    }

    @NonNull
    @Override
    public String getMsgContent() {
        return AppContext.getContext().getResources().getString(R.string.join_room);
    }

    @Override
    public int getMsgType() {
        return USER_ENTER_ROOM;
    }

    @Override
    public int getUserLevel() {
        return senderLevel;
    }

    @Override
    public int getIsBenefit() {
        return isBenefit;
    }

    @NonNull
    @Override
    public String getSenderId() {
        return senderId;
    }
}
